Admin Update Agent Settings
curl --request PATCH \
--url https://api.example.com/api/v1/admin/agents/{slug}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_classes": [],
"aitasker_enabled": true,
"aihire_enabled": true,
"chat_enabled": true,
"can_transact": true,
"system_prompt": "<string>",
"platform_connections": [
{
"provider": "<string>",
"label": "<string>",
"required": false,
"fields": [
{
"key": "<string>",
"label": "<string>",
"type": "text",
"placeholder": "<string>",
"help": "<string>",
"default": "<string>"
}
]
}
],
"skills": [
"<string>"
],
"aitasker_task_types": [
"<string>"
],
"aihire_capabilities": [
"<string>"
],
"strategy_inputs": [
{
"brand_field": "<string>",
"required": true,
"purpose": ""
}
],
"required_audit_types": [],
"content_types_produced": [
"<string>"
],
"note": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/admin/agents/{slug}/settings"
payload = {
"agent_classes": [],
"aitasker_enabled": True,
"aihire_enabled": True,
"chat_enabled": True,
"can_transact": True,
"system_prompt": "<string>",
"platform_connections": [
{
"provider": "<string>",
"label": "<string>",
"required": False,
"fields": [
{
"key": "<string>",
"label": "<string>",
"type": "text",
"placeholder": "<string>",
"help": "<string>",
"default": "<string>"
}
]
}
],
"skills": ["<string>"],
"aitasker_task_types": ["<string>"],
"aihire_capabilities": ["<string>"],
"strategy_inputs": [
{
"brand_field": "<string>",
"required": True,
"purpose": ""
}
],
"required_audit_types": [],
"content_types_produced": ["<string>"],
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_classes: [],
aitasker_enabled: true,
aihire_enabled: true,
chat_enabled: true,
can_transact: true,
system_prompt: '<string>',
platform_connections: [
{
provider: '<string>',
label: '<string>',
required: false,
fields: [
{
key: '<string>',
label: '<string>',
type: 'text',
placeholder: '<string>',
help: '<string>',
default: '<string>'
}
]
}
],
skills: ['<string>'],
aitasker_task_types: ['<string>'],
aihire_capabilities: ['<string>'],
strategy_inputs: [{brand_field: '<string>', required: true, purpose: ''}],
required_audit_types: [],
content_types_produced: ['<string>'],
note: '<string>'
})
};
fetch('https://api.example.com/api/v1/admin/agents/{slug}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin
Admin Update Agent Settings
Partial update of an agent’s admin-managed settings.
PATCH
/
api
/
v1
/
admin
/
agents
/
{slug}
/
settings
Admin Update Agent Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Partial update of an agent's admin-managed settings.
All fields optional — only provided keys are applied. Callers can toggle individual switches without re-sending the entire record.
Available options:
orchestrator, creator, platform_specialist, analyst, evaluator Available options:
yes, no, optional Available options:
specialist, sponsored Maximum string length:
50000Show child attributes
Show child attributes
Available options:
detailed, guidelines Show child attributes
Show child attributes
Available options:
website, seo, social_media, content_marketing, paid_media, email_marketing, competitor_research Maximum string length:
500Response
Successful Response
Was this page helpful?
⌘I